WordPress 4.8 прекратит поддержку версий Internet Explorer 8, 9 и 10

В минувшие выходные, Мэтт Mullenweg объявил, что предстоящий wordPress 4.8 релиз упадет поддержка Версии IE 8, 9 и 10. Основные участники обсуждали поддержку браузера в течение последних двух месяцев в связи с установлением технических требований к новому редактору.

Корпорация Майкрософт прекратила поддержку IE 8, 9 и 10 в январе 2016 года, что означает, что эти версии больше не получают обновлений безопасности. Mullenweg сказал, что пытается продолжать поддерживать эти браузеры сдерживает WordPress развития.

“Я понимаю, что люди по-прежнему работает эти браузеры, вероятно, застрял с ними из-за чего-то из-под их контроля, как в библиотеке или что-то”, сказал Mullenweg. “В зависимости от того, как вы считаете его, эти браузеры вместе взятые либо около 3% или менее 1% от общего числа пользователей, но в любом случае они упали ниже порога, где это полезно для WordPress продолжать тестирование и развитие против”.

Стремясь определить, сколько людей все еще используют эти небезопасные и устаревшие браузеры, Джонатан Desrosiers собрал данные из трех различных источников. Ниже приведены цифры для глобального использования IE опубликованы StatCounter в GlobalStats, которые Desrosiers сказал почти идентичны WordPress.com номера:

  • IE8: 0.41%
  • IE9: 0.26%
  • IE10: 0.26%
  • IE11: 3.79%

WordPress не перестанет работать полностью в этих браузерах, но после 4.8 релиз вкладчиков больше не будет тестировать новые функции против старых версий IE. Некоторые возможности wp-admin могут быть более ограниченными. Mullenweg подтвердил, что следующие версии TinyMCE не будет поддерживать старые версии IE.

Глобальное использование IE снизилось с 7,44% в марте 2016 года до 4,18% в марте 2017 года. Доля рынка IE сокращается по мере того, как использование мобильных устройств растет. Октябрь 2016 года стал первым месяцем в истории, когда трафик мобильных устройств и планшетов превысил использование настольных компьютеров по всему миру. По мере того как эта тенденция склонять использование настольного компьютера продолжается, IE вероятно будет похоронено в пределах пары лет.

“Я был трудно найти американское правительственное агентство работает версия IE менее 11”, WordPress ведущий разработчик Эндрю Nacin прокомментировал объявление. “Правительственные сайты агентства аналогичным образом увидеть незначительный трафик от IE lt; 11”.

Решение отказаться от поддержки IE 8, 9 и 10 было встречено с празднованием от сообщества разработчиков WordPress. Сосредоточение внимания на браузерах, которые по-прежнему получают обновления безопасности, лучше использовать время и ресурсы участников с открытым исходным кодом. Разработчики, которые делают работу клиента, также могут ссылаться на политику поддержки WordPress’ IE при давлении со стороны клиентов для поддержки небезопасных браузеров.

Естественно, тема повышения минимальных требований к браузеру привела к тому, что разработчики лоббировали возможность отказаться от поддержки PHP 5.2, которая достигла конца жизни более шести лет назад. В марте 2015 года, WordPress статистика оценивается PHP 5.2 использования на 16,6%,но это число неуклонно снижается до 5,1% сегодня. Задача обновления браузера до последней версии была разработана, чтобы быть легким для пользователей, но обновление версий PHP по-прежнему несколько сложнее для тех, кто не получает помощь от своих хостинговых компаний. 5,1% на PHP 5.2 представляет миллионы пользователей, которые должны будут пересечь значительное препятствие для того, чтобы оставаться в курсе последней версии WordPress.

Хотите написать для WP таверне? Мы всегда принимаем гостевые сообщения от сообщества и ищем новых участников. Свяжитесь с нами и давайте обсудим ваши идеи.

 

Оригинал: wptavern.com

Добавить комментарий

%d такие блоггеры, как: